%define major 6
%define libname     %mklibname %{name} %{major}
%define develname   %mklibname %name -d
%define develsname  %mklibname %name -d -s

Summary:	The Open Dynamics Engine
Name:		ode
Version:	0.14
Release:	%mkrel 1
Epoch:		1
License:	LGPLv2+
Group:		System/Libraries
URL:		http://www.ode.org
Source0:	https://bitbucket.org/odedevs/ode/downloads/%{name}-%{version}.tar.gz

%description
The Open Dynamics Engine (ODE) is a free software library for the
simulation of Rigid Body Dynamics. It is has been primarily written
-by Russell Smith. ODE builds under a variety of different Windows
and Unix platforms.

ODE is useful for simulating things like vehicles, objects in virtual
reality environments, and virtual creatures.

%package -n	%{libname}
Summary:	Physics simulation library
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Obsoletes:	%{mklibname %{name} 0} < 0.10.1

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with ODE.

%package -n	%{develname}
Summary:	Headers and libraries to develop ODE applications
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{mklibname %{name} 0 -d}
Obsoletes:	%{mklibname %{name} 0 -d} < 0.10.1
Requires:	%{libname} = %{epoch}:%{version}-%{release}

%description -n	%{develname}
The Open Dynamics Engine (ODE) is a free software library for the
simulation of Rigid Body Dynamics. It is has been primarily written
by Russell Smith. ODE builds under a variety of different Windows
and Unix platforms.

ODE is useful for simulating things like vehicles, objects in virtual
reality environments, and virtual creatures.

%package -n	%{develsname}
Summary:	Static libraries to develop ODE applications
Group:		Development/C

%description -n	%{develsname}
Static libraries for ODE.

%prep
%setup -q

%build
autoreconf -vfi
%configure2_5x \
	--with-trimesh=opcode \
	--with-drawstuff=X11 \
	--enable-new-trimesh \
	--disable-demos \
	--enable-shared

%make_build

%install
%make_install

%multiarch_binaries %{buildroot}%{_bindir}/%{name}-config

%files -n %{libname}
%{_libdir}/libode.so.%{major}{,.*}

%files -n %{develname}
%doc CHANGELOG.txt README.md
%dir %{_includedir}/%{name}
%{_bindir}/%{name}-config
%multiarch %{multiarch_bindir}/%{name}-config
%{_includedir}/%{name}/*.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%files -n %{develsname}
%{_libdir}/libode.a
%{_libdir}/libode.la


%changelog
* Sat Nov 12 2016 akien <akien> 1:0.14-1.mga6
+ Revision: 1066875
- Version 0.14
- Major 6

* Tue Feb 09 2016 umeabot <umeabot> 1:0.13.1-2.mga6
+ Revision: 951386
- Mageia 6 Mass Rebuild

* Wed Dec 24 2014 akien <akien> 1:0.13.1-1.mga5
+ Revision: 805378
- Version 0.13.1

* Wed Oct 15 2014 umeabot <umeabot> 1:0.12-4.mga5
+ Revision: 739075
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:0.12-3.mga5
+ Revision: 683156
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1:0.12-2.mga4
+ Revision: 533509
- Mageia 4 Mass Rebuild

* Sat Aug 31 2013 blue_prawn <blue_prawn> 1:0.12-1.mga4
+ Revision: 473709
- updated to last version 0.12

* Sun Jan 13 2013 umeabot <umeabot> 1:0.11.1-5.mga3
+ Revision: 361786
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 29 2011 fwang <fwang> 1:0.11.1-4.mga2
+ Revision: 150193
- tighten br

* Thu Jan 20 2011 blino <blino> 1:0.11.1-3.mga1
+ Revision: 25245
- rebuild because of rpm breakage

* Thu Jan 20 2011 blino <blino> 1:0.11.1-2.mga1
+ Revision: 25055
- remove old ldconfig scriptlets
- imported package ode

